Bug 420661 - Querying file access permissions behaves differently for RHEL3 than other releases
Querying file access permissions behaves differently for RHEL3 than other rel...
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: bash (Show other bugs)
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Roman Rakus
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2007-12-11 17:28 EST by Darcy Christensen
Modified: 2014-01-12 19:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-08-11 09:59:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Darcy Christensen 2007-12-11 17:28:22 EST
Description of problem:
When querying the file access permissions of a symbolically linked automounted 
directory, particularly -w, from a shell script as root, in RHEL3 the file 
shows as writable when it is mounted as read only.  When the write is 
attempted, of course, it fails.  Apparently RHEL3 uses file premissions behind -
w test where RHEL4, and many other flavors of Linux/UNIX, use the access system 
call, which works correctly.  Is there a work around for this to make this test 
work across multiple Linux/UNIX platforms?

Version-Release number of selected component (if applicable):

How reproducible: Consistantly

Steps to Reproduce:
1.Automount a directory as read only
2.Create a symbolic link to it
3.Write a script testing the -w access (if [ -w dir_name ] ... )
4.sudo as root and run the script
Actual results:
directory tests as writable

Expected results:
directory should test as read only

Additional info:
Comment 1 Darcy Christensen 2007-12-11 17:30:03 EST
Forgot to mention I work for Oracle and this is a work related issue.
Comment 2 Phil Knirsch 2008-04-16 10:45:21 EDT
Thats most likely a bash related problem though, so i'm reassigning it to that

Read ya, Phil
Comment 4 RHEL Product and Program Management 2008-08-11 09:59:09 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.